bug fixes for jessie & stretch
authorIan Kelling <ian@iankelling.org>
Tue, 9 Aug 2016 21:46:57 +0000 (14:46 -0700)
committerIan Kelling <ian@iankelling.org>
Mon, 6 Feb 2017 06:21:41 +0000 (22:21 -0800)
fai/config/scripts/DEBIAN/30-interface
pxe-server

index 3d4d08fb63f4ba7ea7e4f48b847a8165c80ae35d..6f2251a1452ed9938cb468ca62e7099b22651988 100755 (executable)
@@ -3,6 +3,27 @@
 # modified from upstream fai example
 error=0; trap 'error=$(($?>$error?$?:$error))' ERR # save maximum error code
 
+if ! ifclass VM && ! ifclass STABLE; then
+    # get persistent interface name. Note, these class conditions
+    # will need to get modified for new oses. testing vm doesn't use
+    # it right now, but other vms do I'm sure.
+    for field in ID_NET_NAME_FROM_DATABASE \
+                     ID_NET_NAME_ONBOARD \
+                     ID_NET_NAME_SLOT \
+                     ID_NET_NAME_PATH \
+                     ID_NET_NAME_MAC; do
+        name=$(udevadm info /sys/class/net/$NIC1 | sed -rn "s/^E: $field=(.+)/\1/p")
+        if [[ $name ]]; then
+            NIC1=$name
+            break
+        fi
+    done
+    if [[ ! $name ]]; then
+        echo "$0: error: could not find systemd predictable network name"
+        exit 1
+    fi
+fi
+
 if ifclass DHCPC && [ $FAI_ACTION = "install" -o $FAI_ACTION = "dirinstall" ]
 then
     if ifclass VM; then
index 6099ddba82f9b98a2bfa1d2e065784843f9e2d45..5507e5d1196ba6b219916f2774be16b3d4759dd1 100755 (executable)
@@ -121,8 +121,11 @@ if [[ $type == fai ]]; then
 fi
 
 if ! $persist; then
-    echo "waiting for 2 dhcp acks then disabling pxe"
-    ack-wait 2
+    # fai's debian jessie 8.5ish does 2 dhcp requests when booting,
+    # roughly 4 seconds apart. Earlier
+    # versions did just 1. Whatever.
+    echo "waiting for 3 dhcp acks then disabling pxe"
+    ack-wait 3
     set-pxe :
     if [[ $type == fai ]]; then
         # fai server can contain sensitive info, so turn it off